Subject: Re: linux-next: build warning after merge of the vfs-fixes tree

From: Guillem Jover <[email-masked]>
Date: Tue, 22 Oct 2019 00:40:57 +0200

Hi!

On Tue, 2019-10-22 at 07:44:26 +1100, Stephen Rothwell wrote:
> Fixes tag
> 
>   Fixes: 7a074e96 ("aio: implement io_pgetevents")
> 
> has these problem(s):
> 
>   - SHA1 should be at least 12 digits long
>     Can be fixed by setting core.abbrev to 12 (or more) or (for git v2.11
>     or later) just making sure it is not set (or set to "auto").

On Tue, 2019-10-22 at 09:35:12 +1100, Stephen Rothwell wrote:
> On Tue, 22 Oct 2019 08:07:34 +1100 Stephen Rothwell <[email-masked]> wrote:
> > fs/aio.c:2196:38: note: in expansion of macro 'NULL'
> >  2196 |  struct __compat_aio_sigset ksig = { NULL, };
> >       |                                      ^~~~

> > fs/aio.c:2196:38: note: in expansion of macro 'NULL'
> >  2196 |  struct __compat_aio_sigset ksig = { NULL, };
> >       |                                      ^~~~

> > fs/aio.c:2231:38: note: in expansion of macro 'NULL'
> >  2231 |  struct __compat_aio_sigset ksig = { NULL, };
> >       |                                      ^~~~

> > fs/aio.c:2231:38: note: in expansion of macro 'NULL'
> >  2231 |  struct __compat_aio_sigset ksig = { NULL, };
> >       |                                      ^~~~
> > 
> > Introduced by commit
> > 
> >   de80166a573d ("aio: Fix io_pgetevents() struct __compat_aio_sigset layout")

Ugh, sorry about that, I guess I didn't see the warnings in the scroll
back when I built this back then for testing. :/ Sending a new version
fixing both issues.

Thanks,
Guillem